gr::radar::tracking_singletarget_impl Class Reference

`#include <tracking_singletarget_impl.h>`

Inheritance diagram for gr::radar::tracking_singletarget_impl:

## Public Member Functions

| tracking_singletarget_impl (int num_particle, float std_range_meas, float std_velocity_meas, float std_accel_sys, float threshold_track, int threshold_lost, std::string filter)
| ~tracking_singletarget_impl ()
void | handle_msg (pmt::pmt_t msg)
bool | tracking ()
void | filter_particle ()
void | filter_kalman ()
float | random_normal (float mean, float std)

## Public Attributes

int | d_num_particle
float | d_std_range_meas
float | d_std_velocity_meas
float | d_std_accel_sys
float | d_range_meas
float | d_velocity_meas
float | d_time
pmt::pmt_t | d_port_id_in
pmt::pmt_t | d_port_id_out
float | d_range_est
float | d_velocity_est
float | d_time_last
float | d_delta_t
int | d_lost
bool | d_is_track
bool | d_is_empty
std::vector< std::vector< float > > | Q
std::vector< std::vector< float > > | R
std::vector< std::vector< float > > | R_inv
std::vector< std::vector< float > > | P
std::vector< std::vector< float > > | K
std::vector< float > | d_particle_range
std::vector< float > | d_particle_velocity
std::vector< float > | d_particle_weight
float | R_det
float | d_threshold_track
int | d_threshold_lost
std::string | d_filter

## Additional Inherited Members

Public Types inherited from gr::radar::tracking_singletarget
typedef std::shared_ptr< tracking_singletarget > | sptr
Static Public Member Functions inherited from gr::radar::tracking_singletarget
static sptr | make (int num_particle, float std_range_meas, float std_velocity_meas, float std_accel_sys, float threshold_track, int threshold_lost, std::string filter)
| Return a shared_ptr to a new instance of radar::tracking_singletarget.

## Constructor & Destructor Documentation

## tracking_singletarget_impl()

gr::radar::tracking_singletarget_impl::tracking_singletarget_impl | ( | int | num_particle,
|  | float | std_range_meas,
|  | float | std_velocity_meas,
|  | float | std_accel_sys,
|  | float | threshold_track,
|  | int | threshold_lost,
|  | std::string | filter )

## ~tracking_singletarget_impl()

gr::radar::tracking_singletarget_impl::~tracking_singletarget_impl | ( |  | ) |

## Member Function Documentation

## filter_kalman()

void gr::radar::tracking_singletarget_impl::filter_kalman | ( |  | ) |

## filter_particle()

void gr::radar::tracking_singletarget_impl::filter_particle | ( |  | ) |

## handle_msg()

void gr::radar::tracking_singletarget_impl::handle_msg | ( | pmt::pmt_t | msg | ) |

## random_normal()

float gr::radar::tracking_singletarget_impl::random_normal | ( | float | mean,
|  | float | std )

## tracking()

bool gr::radar::tracking_singletarget_impl::tracking | ( |  | ) |

## Member Data Documentation

## d_delta_t

float gr::radar::tracking_singletarget_impl::d_delta_t

## d_filter

std::string gr::radar::tracking_singletarget_impl::d_filter

## d_is_empty

bool gr::radar::tracking_singletarget_impl::d_is_empty

## d_is_track

bool gr::radar::tracking_singletarget_impl::d_is_track

## d_lost

int gr::radar::tracking_singletarget_impl::d_lost

## d_num_particle

int gr::radar::tracking_singletarget_impl::d_num_particle

## d_particle_range

std::vector<float> gr::radar::tracking_singletarget_impl::d_particle_range

## d_particle_velocity

std::vector<float> gr::radar::tracking_singletarget_impl::d_particle_velocity

## d_particle_weight

std::vector<float> gr::radar::tracking_singletarget_impl::d_particle_weight

## d_port_id_in

pmt::pmt_t gr::radar::tracking_singletarget_impl::d_port_id_in

## d_port_id_out

pmt::pmt_t gr::radar::tracking_singletarget_impl::d_port_id_out

## d_range_est

float gr::radar::tracking_singletarget_impl::d_range_est

## d_range_meas

float gr::radar::tracking_singletarget_impl::d_range_meas

## d_std_accel_sys

float gr::radar::tracking_singletarget_impl::d_std_accel_sys

## d_std_range_meas

float gr::radar::tracking_singletarget_impl::d_std_range_meas

## d_std_velocity_meas

float gr::radar::tracking_singletarget_impl::d_std_velocity_meas

## d_threshold_lost

int gr::radar::tracking_singletarget_impl::d_threshold_lost

## d_threshold_track

float gr::radar::tracking_singletarget_impl::d_threshold_track

## d_time

float gr::radar::tracking_singletarget_impl::d_time

## d_time_last

float gr::radar::tracking_singletarget_impl::d_time_last

## d_velocity_est

float gr::radar::tracking_singletarget_impl::d_velocity_est

## d_velocity_meas

float gr::radar::tracking_singletarget_impl::d_velocity_meas

## K

std::vector<std::vector<float> > gr::radar::tracking_singletarget_impl::K

## P

std::vector<std::vector<float> > gr::radar::tracking_singletarget_impl::P

## Q

std::vector<std::vector<float> > gr::radar::tracking_singletarget_impl::Q

## R

std::vector<std::vector<float> > gr::radar::tracking_singletarget_impl::R

## R_det

float gr::radar::tracking_singletarget_impl::R_det

## R_inv

std::vector<std::vector<float> > gr::radar::tracking_singletarget_impl::R_inv

The documentation for this class was generated from the following file:

- tracking_singletarget_impl.h